Subject: bug#63555: closed (Re: bug#63555: emacs 29 complains that it can't connect to the display)

From: Robert Pluim <[email-masked]>
Date: Mon, 22 May 2023 12:05:43 +0200

>>>>> On Mon, 22 May 2023 17:26:27 +0800, Po Lu <[email-masked]> said:

    Po> The problem with this approach is that gtk_init_check initializes the
    Po> window system upon success, so once pgtk_term_init is called in
    Po> pgtkterm.c, the window system is set up a second time, leaving two
    Po> display connections open...

Is there anything stopping us from removing that call to gtk_init?

Robert
--